Page MenuHomePhabricator

hghave: update the check for virtualenv
ClosedPublic

Authored by mharbison72 on Dec 8 2020, 11:38 PM.

Details

Summary

This started as hghave --test-features failing on Windows in test-hghave.t.
IDK how this worked, as neither my Linux nor Windows machines have the old
attribute with virtualenv 20.2.2, even on py2. I think this was noticed
recently because 357d8415aa27 mentioned an AttributeError, and mitigated by
making this py2 only. But as mentioned, this is also a problem on py2 (where
the failure was observed).

When I got this working by removing the attribute reference, the command in the
test failed because the --no-site-package argument was removed some time ago.
Therefore, this backs out 357d8415aa27 and references a known good attribute
(which was done to suppress the warning about an unused import) that also
ensures the command does not need the argument. Since there appears to be
(minor) broken stuff on py3, manually apply the no-py3 guard that was backed
out of the check itself.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mharbison72 created this revision.Dec 8 2020, 11:38 PM
spectral accepted this revision.Dec 9 2020, 5:19 PM
spectral added a subscriber: spectral.

Seems fine. ACTIVATE_SH is still in there on the version I have on my Debian Testing machine (15.1.0+ds-3 according to the dpkg system, 15.1.0 according to virtualenv.version). Not sure when it was removed, but it's not really relevant. :)

pulkit accepted this revision.Dec 10 2020, 3:43 AM
This revision is now accepted and ready to land.Dec 10 2020, 3:43 AM
This revision was automatically updated to reflect the committed changes.